# Uses of Class
net.shibboleth.idp.authn.spnego.impl.KerberosSettings

Packages that use KerberosSettings
Package
Description
net.shibboleth.idp.authn.spnego.impl
Implementation of SPNEGO authentication flow.

## Uses of KerberosSettings in net.shibboleth.idp.authn.spnego.impl

Fields in net.shibboleth.idp.authn.spnego.impl declared as KerberosSettings
Modifier and Type
Field
Description
`private KerberosSettings`
GSSContextAcceptor.`kerberosSettings`
The Kerberos settings.
`private KerberosSettings`
SPNEGOContext.`kerberosSettings`
The Kerberos settings.
Methods in net.shibboleth.idp.authn.spnego.impl that return KerberosSettings
Modifier and Type
Method
Description
`KerberosSettings`
SPNEGOContext.`getKerberosSettings()`
Get the Kerberos settings.
Methods in net.shibboleth.idp.authn.spnego.impl with parameters of type KerberosSettings
Modifier and Type
Method
Description
`void`
SPNEGOContext.`setKerberosSettings(KerberosSettings settings)`
Set the Kerberos settings.
Constructors in net.shibboleth.idp.authn.spnego.impl with parameters of type KerberosSettings
Modifier
Constructor
Description
``
`GSSContextAcceptor(KerberosSettings settings)`
Constructor.